io_uring_wait_cqe(3)

NAME
io_uring_wait_cqe - wait for one io_uring completion event

SYNOPSIS
#include <liburing.h>

int io_uring_wait_cqe(struct io_uring *ring,
                      struct io_uring_cqe **cqe_ptr);

DESCRIPTION

The io_uring_wait_cqe(3) function waits for an IO completion from the queue belonging to the ring param, waiting for it if necessary. If an event is already available in the ring when invoked, no waiting will occur. The cqe_ptr param is filled in on success.

After the caller has submitted a request with io_uring_submit(3), the application can retrieve the completion with io_uring_wait_cqe(3).

RETURN VALUE
On success io_uring_wait_cqe(3) returns 0 and the cqe_ptr param is filled in. On failure it returns -errno. The return value indicates the result of waiting for a CQE, and it has no relation to the CQE result itself.

SEE ALSO
io_uring_submit(3), io_uring_wait_cqe_timeout(3), io_uring_wait_cqes(3)